## PlumaPanel PlumaPanel |

## Functions

GtkWidget * | pluma_panel_new ()
void | pluma_panel_add_item ()
void | pluma_panel_add_item_with_stock_icon ()
gboolean | pluma_panel_remove_item ()
gboolean | pluma_panel_activate_item ()
gboolean | pluma_panel_item_is_active ()
GtkOrientation | pluma_panel_get_orientation ()
gint | pluma_panel_get_n_items ()

## Properties

GtkOrientation | orientation | Read / Write / Construct Only

## Signals

void | close | Action
void | focus-document | Action
void | item-added | Run First
void | item-removed | Run First

## Types and Values

| PlumaPanelPrivate
struct | PlumaPanel

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GtkVBox
                                ╰── PlumaPanel

## Implemented Interfaces

PlumaPanel implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### pluma_panel_new ()

    GtkWidget *
    pluma_panel_new (GtkOrientation orientation);

Creates a new PlumaPanel with the given `orientation` . You shouldn't create a new panel use `pluma_window_get_side_panel()` or `pluma_window_get_bottom_panel()` instead.

#### Parameters

orientation | a GtkOrientation |

#### Returns

a new PlumaPanel object.

### pluma_panel_add_item ()

    void
    pluma_panel_add_item (PlumaPanel *panel,
                          GtkWidget *item,
                          const gchar *name,
                          GtkWidget *image);

Adds a new item to the `panel` .

#### Parameters

panel | a PlumaPanel |
item | the GtkWidget to add to the `panel` |
name | the name to be shown in the `panel` |
image | the image to be shown in the `panel` |

### pluma_panel_add_item_with_stock_icon ()

    void
    pluma_panel_add_item_with_stock_icon (PlumaPanel *panel,
                                          GtkWidget *item,
                                          const gchar *name,
                                          const gchar *stock_id);

Same as `pluma_panel_add_item()` but using an image from stock.

#### Parameters

panel | a PlumaPanel |
item | the GtkWidget to add to the `panel` |
name | the name to be shown in the `panel` |
stock_id | a stock id |

### pluma_panel_remove_item ()

    gboolean
    pluma_panel_remove_item (PlumaPanel *panel,
                             GtkWidget *item);

Removes the widget `item` from the panel if it is in the `panel` and returns `TRUE` if there was not any problem.

#### Parameters

panel | a PlumaPanel |
item | the item to be removed from the panel |

#### Returns

`TRUE` if it was well removed.

### pluma_panel_activate_item ()

    gboolean
    pluma_panel_activate_item (PlumaPanel *panel,
                               GtkWidget *item);

Switches to the page that contains `item` .

#### Parameters

panel | a PlumaPanel |
item | the item to be activated |

#### Returns

`TRUE` if it was activated

### pluma_panel_item_is_active ()

    gboolean
    pluma_panel_item_is_active (PlumaPanel *panel,
                                GtkWidget *item);

Returns whether `item` is the active widget in `panel`

#### Parameters

panel | a PlumaPanel |
item | a GtkWidget |

#### Returns

`TRUE` if `item` is the active widget

### pluma_panel_get_orientation ()

    GtkOrientation
    pluma_panel_get_orientation (PlumaPanel *panel);

Gets the orientation of the `panel` .

#### Parameters

panel | a PlumaPanel |

#### Returns

the GtkOrientation of PlumaPanel

### pluma_panel_get_n_items ()

    gint
    pluma_panel_get_n_items (PlumaPanel *panel);

Gets the number of items in a `panel` .

#### Parameters

panel | a PlumaPanel |

#### Returns

the number of items contained in PlumaPanel

## Types and Values

### PlumaPanelPrivate

    typedef struct _PlumaPanelPrivate PlumaPanelPrivate;

### struct PlumaPanel

    struct PlumaPanel;

## Property Details

### The `“orientation”` property

      “orientation”              GtkOrientation

The panel's orientation.

Flags: Read / Write / Construct Only

Default value: GTK_ORIENTATION_VERTICAL

## Signal Details

### The `“close”` signal

    void
    user_function (PlumaPanel *plumapanel,
                   gpointer    user_data)

Flags: Action

### The `“focus-document”` signal

    void
    user_function (PlumaPanel *plumapanel,
                   gpointer    user_data)

Flags: Action

### The `“item-added”` signal

    void
    user_function (PlumaPanel *plumapanel,
                   GtkWidget  *widget,
                   gpointer    user_data)

Flags: Run First

### The `“item-removed”` signal

    void
    user_function (PlumaPanel *plumapanel,
                   GtkWidget  *widget,
                   gpointer    user_data)

Flags: Run First